using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class BemsLoadsHourly {

        //냉난방 부햐예측
        [Display(Name = "현장 고유번호"), Key]
        public int SiteId { get; set; }
        [Display(Name = "건물번호"), Key]
        public int BuildingId { get; set; }
        [Display(Name = "냉난방 구분"), Key]
        public short ServiceTypeId { get; set; }
        [Display(Name = "생성일시"), Key]
        public DateTime CreatedDate { get; set; }
        [Display(Name = "예측"), Required]
        public int Prediction { get; set; }
        [Display(Name = "실측 부하량")]
        public int? Measurement { get; set; }
        [Display(Name = "건물 가동율")]
        public double? RateOfWork { get; set; }

        [ForeignKey("SiteId,BuildingId")]
        public virtual CmBuilding CmBuilding { get; set; }
        [ForeignKey("ServiceTypeId")]
        public virtual BemsServiceType ServiceType { get; set; }
    }
}
